Convert OpenID authentication to use OmniAuth
[rails.git] / Gemfile.lock
1 GEM
2   remote: https://rubygems.org/
3   specs:
4     SystemTimer (1.2.3)
5     actionmailer (4.2.0)
6       actionpack (= 4.2.0)
7       actionview (= 4.2.0)
8       activejob (= 4.2.0)
9       mail (~> 2.5, >= 2.5.4)
10       rails-dom-testing (~> 1.0, >= 1.0.5)
11     actionpack (4.2.0)
12       actionview (= 4.2.0)
13       activesupport (= 4.2.0)
14       rack (~> 1.6.0)
15       rack-test (~> 0.6.2)
16       rails-dom-testing (~> 1.0, >= 1.0.5)
17       rails-html-sanitizer (~> 1.0, >= 1.0.1)
18     actionpack-page_caching (1.0.2)
19       actionpack (>= 4.0.0, < 5)
20     actionview (4.2.0)
21       activesupport (= 4.2.0)
22       builder (~> 3.1)
23       erubis (~> 2.7.0)
24       rails-dom-testing (~> 1.0, >= 1.0.5)
25       rails-html-sanitizer (~> 1.0, >= 1.0.1)
26     activejob (4.2.0)
27       activesupport (= 4.2.0)
28       globalid (>= 0.3.0)
29     activemodel (4.2.0)
30       activesupport (= 4.2.0)
31       builder (~> 3.1)
32     activerecord (4.2.0)
33       activemodel (= 4.2.0)
34       activesupport (= 4.2.0)
35       arel (~> 6.0)
36     activesupport (4.2.0)
37       i18n (~> 0.7)
38       json (~> 1.7, >= 1.7.7)
39       minitest (~> 5.1)
40       thread_safe (~> 0.3, >= 0.3.4)
41       tzinfo (~> 1.1)
42     arel (6.0.0)
43     ast (2.0.0)
44     astrolabe (1.3.0)
45       parser (>= 2.2.0.pre.3, < 3.0)
46     autoprefixer-rails (5.1.7)
47       execjs
48       json
49     bigdecimal (1.1.0)
50     builder (3.2.2)
51     capybara (2.4.4)
52       mime-types (>= 1.16)
53       nokogiri (>= 1.3.3)
54       rack (>= 1.0.0)
55       rack-test (>= 0.5.4)
56       xpath (~> 2.0)
57     climate_control (0.0.3)
58       activesupport (>= 3.0)
59     cliver (0.3.2)
60     cocaine (0.5.5)
61       climate_control (>= 0.0.3, < 1.0)
62     coffee-rails (4.1.0)
63       coffee-script (>= 2.2.0)
64       railties (>= 4.0.0, < 5.0)
65     coffee-script (2.3.0)
66       coffee-script-source
67       execjs
68     coffee-script-source (1.9.1)
69     colorize (0.7.5)
70     composite_primary_keys (8.0.0)
71       activerecord (~> 4.2.0)
72     crass (1.0.1)
73     dalli (2.7.2)
74     deadlock_retry (1.2.0)
75     dynamic_form (1.1.4)
76     erubis (2.7.0)
77     execjs (2.3.0)
78     faraday (0.9.1)
79       multipart-post (>= 1.2, < 3)
80     globalid (0.3.3)
81       activesupport (>= 4.1.0)
82     hashie (3.4.0)
83     hike (1.2.3)
84     htmlentities (4.3.3)
85     http_accept_language (2.0.5)
86     httpclient (2.6.0.1)
87     i18n (0.7.0)
88     jquery-rails (4.0.3)
89       rails-dom-testing (~> 1.0)
90       railties (>= 4.2.0)
91       thor (>= 0.14, < 2.0)
92     jshint (1.3.1)
93       execjs (>= 1.4.0)
94       multi_json (~> 1.0)
95       therubyracer (~> 0.12.1)
96     json (1.8.2)
97     jsonify (0.3.1)
98       multi_json (~> 1.0)
99     jsonify-rails (0.3.2)
100       actionpack
101       jsonify (< 0.4.0)
102     jwt (1.2.1)
103     kgio (2.9.3)
104     konacha (3.3.0)
105       actionpack (>= 3.1, < 5)
106       capybara
107       colorize
108       railties (>= 3.1, < 5)
109       sprockets
110     libv8 (3.16.14.7)
111     libxml-ruby (2.8.0)
112     loofah (2.0.1)
113       nokogiri (>= 1.5.9)
114     mail (2.6.3)
115       mime-types (>= 1.16, < 3)
116     mime-types (2.4.3)
117     mini_portile (0.6.2)
118     minitest (5.5.1)
119     multi_json (1.10.1)
120     multi_xml (0.5.5)
121     multipart-post (2.0.0)
122     nokogiri (1.6.6.2)
123       mini_portile (~> 0.6.0)
124     nokogumbo (1.2.0)
125       nokogiri
126     oauth (0.4.7)
127     oauth-plugin (0.5.1)
128       multi_json
129       oauth (~> 0.4.4)
130       oauth2 (>= 0.5.0)
131       rack
132     oauth2 (1.0.0)
133       faraday (>= 0.8, < 0.10)
134       jwt (~> 1.0)
135       multi_json (~> 1.3)
136       multi_xml (~> 0.5)
137       rack (~> 1.2)
138     omniauth (1.2.2)
139       hashie (>= 1.2, < 4)
140       rack (~> 1.0)
141     omniauth-openid (1.0.1)
142       omniauth (~> 1.0)
143       rack-openid (~> 1.3.1)
144     openstreetmap-i18n-js (3.0.0.rc5.3)
145       i18n
146     paperclip (4.2.1)
147       activemodel (>= 3.0.0)
148       activesupport (>= 3.0.0)
149       cocaine (~> 0.5.3)
150       mime-types
151     parser (2.2.0.3)
152       ast (>= 1.1, < 3.0)
153     pg (0.18.1)
154     poltergeist (1.6.0)
155       capybara (~> 2.1)
156       cliver (~> 0.3.1)
157       multi_json (~> 1.0)
158       websocket-driver (>= 0.2.0)
159     powerpack (0.1.0)
160     psych (2.0.13)
161     r2 (0.2.5)
162     rack (1.6.0)
163     rack-cors (0.3.1)
164     rack-openid (1.3.1)
165       rack (>= 1.1.0)
166       ruby-openid (>= 2.1.8)
167     rack-test (0.6.3)
168       rack (>= 1.0)
169     rails (4.2.0)
170       actionmailer (= 4.2.0)
171       actionpack (= 4.2.0)
172       actionview (= 4.2.0)
173       activejob (= 4.2.0)
174       activemodel (= 4.2.0)
175       activerecord (= 4.2.0)
176       activesupport (= 4.2.0)
177       bundler (>= 1.3.0, < 2.0)
178       railties (= 4.2.0)
179       sprockets-rails
180     rails-deprecated_sanitizer (1.0.3)
181       activesupport (>= 4.2.0.alpha)
182     rails-dom-testing (1.0.5)
183       activesupport (>= 4.2.0.beta, < 5.0)
184       nokogiri (~> 1.6.0)
185       rails-deprecated_sanitizer (>= 1.0.1)
186     rails-html-sanitizer (1.0.1)
187       loofah (~> 2.0)
188     rails-i18n (4.0.3)
189       i18n (~> 0.6)
190       railties (~> 4.0)
191     railties (4.2.0)
192       actionpack (= 4.2.0)
193       activesupport (= 4.2.0)
194       rake (>= 0.8.7)
195       thor (>= 0.18.1, < 2.0)
196     rainbow (2.0.0)
197     rake (10.4.2)
198     redcarpet (3.2.2)
199     ref (1.0.5)
200     rinku (1.7.3)
201     rubocop (0.29.1)
202       astrolabe (~> 1.3)
203       parser (>= 2.2.0.1, < 3.0)
204       powerpack (~> 0.1)
205       rainbow (>= 1.99.1, < 3.0)
206       ruby-progressbar (~> 1.4)
207     ruby-openid (2.6.0)
208     ruby-progressbar (1.7.1)
209     sanitize (3.1.2)
210       crass (~> 1.0.1)
211       nokogiri (>= 1.4.4)
212       nokogumbo (= 1.2.0)
213     sass (3.4.12)
214     sass-rails (5.0.1)
215       railties (>= 4.0.0, < 5.0)
216       sass (~> 3.1)
217       sprockets (>= 2.8, < 4.0)
218       sprockets-rails (>= 2.0, < 4.0)
219       tilt (~> 1.1)
220     soap4r-ruby1.9 (2.0.5)
221     sprockets (2.12.3)
222       hike (~> 1.2)
223       multi_json (~> 1.0)
224       rack (~> 1.0)
225       tilt (~> 1.1, != 1.3.0)
226     sprockets-rails (2.2.4)
227       actionpack (>= 3.0)
228       activesupport (>= 3.0)
229       sprockets (>= 2.8, < 4.0)
230     therubyracer (0.12.1)
231       libv8 (~> 3.16.14.0)
232       ref
233     thor (0.19.1)
234     thread_safe (0.3.4)
235     tilt (1.4.1)
236     timecop (0.7.3)
237     tzinfo (1.2.2)
238       thread_safe (~> 0.1)
239     uglifier (2.7.0)
240       execjs (>= 0.3.0)
241       json (>= 1.8.0)
242     validates_email_format_of (1.6.2)
243       i18n
244     vendorer (0.1.16)
245     websocket-driver (0.5.3)
246       websocket-extensions (>= 0.1.0)
247     websocket-extensions (0.1.2)
248     xpath (2.0.0)
249       nokogiri (~> 1.3)
250
251 PLATFORMS
252   ruby
253
254 DEPENDENCIES
255   SystemTimer (>= 1.1.3)
256   actionpack-page_caching
257   autoprefixer-rails
258   bigdecimal (~> 1.1.0)
259   coffee-rails (~> 4.1.0)
260   composite_primary_keys (~> 8.0.0)
261   dalli
262   deadlock_retry (>= 1.2.0)
263   dynamic_form
264   htmlentities
265   http_accept_language (~> 2.0.0)
266   httpclient
267   jquery-rails
268   jshint
269   json
270   jsonify-rails
271   kgio
272   konacha
273   libxml-ruby (>= 2.0.5)
274   minitest (~> 5.1)
275   oauth-plugin (>= 0.5.1)
276   omniauth
277   omniauth-openid
278   openstreetmap-i18n-js (>= 3.0.0.rc5.3)
279   paperclip (~> 4.0)
280   pg
281   poltergeist
282   psych
283   r2
284   rack-cors
285   rails (= 4.2.0)
286   rails-i18n (~> 4.0.0)
287   redcarpet
288   rinku (>= 1.2.2)
289   rubocop
290   sanitize
291   sass-rails (~> 5.0)
292   soap4r-ruby1.9
293   timecop
294   uglifier (>= 1.3.0)
295   validates_email_format_of (>= 1.5.1)
296   vendorer